## wmitime 0.3

=== wmitime/Makefile ===
#LANG = fr
LIBDIR = -L/usr/X11R6/lib
LIBS   = -lXpm -lXext -lX11 -lm
FLAGS = -O2
OBJS =	wmitime.o \
		../wmgeneral/wmgeneral.o \
		../wmgeneral/misc.o \
		../wmgeneral/list.o


.c.o:
	cc -I/usr/X11R6/share/include $(FLAGS) -D$(LANG) -c -Wall $< -o $*.o

wmtime: $(OBJS)
	cc $(FLAGS) -D$(LANG) -o wmitime $^ -lXext $(LIBDIR) $(LIBS)

all:: wmtime

clean::
	for i in $(OBJS) ; do \
		rm -f $$i ; \
	done
	rm -f wmitime
	rm -f *~

install:: wmitime
	cp -f wmitime /usr/local/bin/
	chmod 755 /usr/local/bin/wmitime
	chown root:root /usr/local/bin/wmitime
#	cp wminetrc $(HOME)/.wminetrc
#	chmod 600 $(HOME)/.wminetrc
#	cp wminetrc /etc/wminetrc
#	chmod 644 /etc/wminetrc
	@echo "wmitime Installation finished..."

=== debian/changelog ===
wmitime (0.3-9) unstable; urgency=low

  * Move to format: 3.0 (quilt).
  * debian/clean
    - Move content from debian/rules for dh(1).
  * debian/control
    - (Build-Depends): Remove dpatch.
    - (Description): Extend long part (lintian).
    - (Depends): add ${misc:Depends} for debhelper.
    - (Standards-Version): Update to 3.8.3.
  * debian/copyright
    - Layout upgrade. Add FSF preamble.
  * debian/debian-compile.mk
    - New file.
  * debian/patches
    - Convert to quilt.
    - (10): Adjust link flags and add trimmed down GTKLIBS.
    - (30): New patch to fix "cast to pointer from integer of
      different size" warnings.
  * debian/README.source
    - Delete, obsoleted by format 3.0.
  * debian/rules
    - (MANSECT): Move from 1x to standard 1.
    - Remove rules obsoleted by dh(1).
  * debian/wmitime.{install,manpages}
    - Move content from debian/rules for dh(1).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 17 Dec 2009 14:51:50 +0200

wmitime (0.3-8) unstable; urgency=low

  * debian/compat:
    - Change from 5 to 7.x
  * debian/control:
    - (Build-Depends): debhelper >= 7.
    - (Description): Fix spelling.
    - (Homepage): New field.
    - (Standards-Version): Update to 3.8.0.
  * debian/copyright:
    - Update to use ISO dates.
    - Minor layout fixes: add word "Copyright (C)..." etc.
    - Adjust Dave Clark's copyright years according to original README.
  * debian/patches/10_hungarian-date.dpatch:
    - (DP): Add documentation string.
  * debian/rules:
    - (build-stamp): Add MAKE_FLAGS.
    - (binary-arch): Add dh_desktop.
    - (install): Install *.desktop file. Do not install almost empty
      BUGS file. Do not install README, which has nothing additional
      information to manual page.
  * debian/watch:
    - New file.
  * debian/wmitime.dektop:
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 27 Oct 2008 19:28:15 +0300

wmitime (0.3-7) unstable; urgency=low

  [ Jari Aalto ]
  * New maintainer. (Closes: #349245).
  * debian/changelog:
    - Remove obsolete Emacs variables from the end.
  * debian/compat:
    - Bump version to 5
  * debian/control:
    - (Description): Remove references to Window maker. Utility works
      with any WM.
    - (Standards-Version): Update to 3.7.3
    - (Build-Depends): Add dpatch
  * debian/copyright:
    - Add note that upstrean URL is dead.
    - Update Debian packaging copyrights to include all packagers.
  * debian/menu:
    - Correct section to Applications/Network/Communication
  * debian/patches/10_hungarian-date.dpatch:
    - Remove old hungarian diff and converted it into dpatch format
  * debian/patches/20_makefile-CC.dpatch:
    - Change hard coded 'cc' to $(CC). Eliminate unnecessary -D$(LANG).
  * debian/rules:
    - Remove and newly generated with dh_make.
    - Add rule to convert *.pod pages to *.1x
  * debian/wmitime.1x.pod:
    - New file. The old manual page was converted to POD format.

  [ Ricardo Mones ]
  * debian/control, debian/debian-vars.mk
    - Fix typos
  * debian/copyright
    - Fix packaging copyright years, LGPL license filename, typo
  * debian/rules
    - (man): Fix rule by changing spaces into tabs

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 04 Feb 2008 17:18:39 +0000

wmitime (0.3-6) unstable; urgency=low

  * QA upload.
  * Maintainer asked to orphan the package in
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=347120;msg=7.
  * debian/control: Replace xlibs-dev build-dep. (Closes: #347120)
  * Rebuilt to allow prelinking. (Closes: #236804)

  * Housekeeping:
    + Use debhelper 5
    + Quote everything in menu file
    + Move manpage to 1x section
    + Fix copyright file to shut up lintian
    + Bumped Standards-Version to 3.6.2

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 20 Jan 2006 00:21:39 +0100

wmitime (0.3-5) unstable; urgency=low

  * Upgraded Standards-Version.
  * Converted to use debhelper v3.
  * Changed version numbering.

 -- Lenart Janos <ocsi@debian.org>  Sat, 31 Mar 2001 18:48:31 +0200

wmitime (0.3-4.2) unstable; urgency=low

  * I've wrote a manpage.
  * Removed dh_testversion from debian/rules.

 -- Lenart Janos <ocsi@debian.org>  Wed, 28 Mar 2001 22:57:18 +0200

wmitime (0.3-4.1) unstable; urgency=medium

  * Moved from /usr/X11R6/bin to /usr/bin.

 -- Lenart Janos <ocsi@debian.org>  Sat, 24 Feb 2001 17:31:21 +0100

wmitime (0.3-4) unstable; urgency=low

  * New maintainter. (closes: Bug#74647)
  * Smaller bugs fixed in debian/rules.
  * Added Hungarian support, but must recompile to use it.

 -- Lenart Janos <ocsi@debian.org>  Thu, 25 Jan 2001 14:24:30 +0100

wmitime (0.3-3) unstable; urgency=low

  * Removed dh_make examples.                        (closes: Bug#81534)
  * Conforms to Standards version 3.2.1:
    + debian/control: Added build dependancies.
    + debian/rules:
      + Added support for the `debug' build option.
      + Install into /usr rather than /usr/X11R6.

 -- Matej Vela <vela@debian.org>  Wed, 10 Jan 2001 23:37:42 +0100

wmitime (0.3-2.1) unstable; urgency=low

  * Maintainer: Debian QA Group <debian-qa@lists.debian.org>

 -- Takuo KITAME <kitame@northeye.org>  Thu, 31 Aug 2000 11:38:53 +0900

wmitime (0.3-2) unstable; urgency=low

  * debian/menu: Added hints="Clocks".               (closes: Bug#52006)

 -- Takuo KITAME <kitame@northeye.org>  Thu, 13 Jan 2000 10:17:50 +0900

wmitime (0.3-1) unstable; urgency=low

  * Initial Release.

 -- Takuo KITAME <kitame@northeye.org>  Sun, 31 Oct 1999 06:15:04 +0900

=== debian/control ===
Source: wmitime
Section: x11
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7), libx11-dev, libxext-dev, libxpm-dev
Vcs-Git: http://git.debian.org/collab-maint/wmitime.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/wmitime.git;a=summary
Homepage: http://dockapps.org/file.php/id/22

Package: wmitime
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: wmaker
Description: clock dock app showing time and internet time
 WMitime is clock dock app, which shows standard time,
 date. The unique feature is that it can also show Internet time
 with notation @TIME. See <http://www.swatch.com/> for more about
 Internet time.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE = wmitime
BIN	= $(PACKAGE)/$(PACKAGE)
MANSECT = 1
MANSRC  = debian
MK_MAN  = pod2man.mk

include debian/debian-vars.mk
include debian/debian-compile.mk

man:
	$(MAKE) -C $(MANSRC) -f $(MK_MAN) PACKAGE=$(PACKAGE) \
	MANSECT=$(MANSECT) makeman

build-stamp:
	dh_testdir
	$(MAKE) $(MAKE_FLAGS) -C wmitime FLAGS='$(FLAGS)'
	touch $@

build: build-stamp man

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) -C wmitime clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install

	$(INSTALL_DIR) $(DESKTOPDIR)
	$(INSTALL_DATA) debian/*.desktop $(DESKTOPDIR)

binary-arch: build install
	# target: binary-arch: -- Build architecture-dependent files
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

%:
	dh $@

binary: binary-arch

.PHONY: build clean install configure man
.PHONY: binary-indep binary-arch binary

# End of file

=== debian/watch ===
version=3
http://dockapps.org/file.php/id/22  .*wmitime-([\d.]+).tar.gz

## wmitime 0.3+20120605

=== debian/changelog ===
wmitime (0.3+20120605-1) unstable; urgency=medium

  * New upstream version.
  * New maintainer (Closes: #714747).
  * Include manpage rather than creating during build
    - Remove debian/*pod*.
    - Add debian/wmtime.1.
    - Remove man target from debian/rules.
  * debian/control
    - Bump Standards-Version to 3.9.5; no changes required.
    - Update Homepage and Vcs-* fields.
  * debian/copyright
    - Update Upstream-* and Source fields.
    - Remove deprecated X-Comment field.
  * debian/install
    - Remove installation of /usr/bin/wmitime; now installed by dh_auto_install.
  * debian/patches/*0-*.patch
    - Update keywords.
  * debian/patches/allow_display_with_no_args.patch
    - Print warning when user runs wmitime -display without an argument instead
      of segfaulting (Closes: #716466).
  * debian/patches/make-install.patch
    - Use DESTDIR when running make install.
    - Create installation directory.
  * debian/rules:
    - Use --sourcedirectory option instead of using overrides to pass -C to
      specify source directory.
    - Remove unnecessary variables.
    - Update override_dh_auto_build to use dh_auto_build instead of MAKE.
  * debian/wmitime.desktop
    - Fill in Generic and Comment fields.
    - Add Keywords field.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Tue, 12 Aug 2014 01:27:57 -0500

wmitime (0.3-11) unstable; urgency=low

  * debian/rules
    - Use DEB_*_MAINT_* variables and use CPPFLAGS (more hardening).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 24 Mar 2012 02:37:54 -0400

wmitime (0.3-10) unstable; urgency=low

  * Move to packaging format 3.0 quilt.
  * debian/compat
    - Update to 9.
  * debian/control
    - (Homepage): Update location.
    - (Build-Depends): update to debhelper 9, remove dpatch.
    - (Standards-Version): Update to 3.9.3.1.
  * debian/copyright
    - Update to format 1.0.
  * debian-vars.mk
    - Delete. No longer needed.
  * debian/*.1
    - Delete, was a generated file.
  * debian/*.1x.pod
    - Rename to plain *.1 section.
  * debian/clean
    - New file.
  * debian/*.desktop
    - Rename to plain debian/desktop.
  * debian/manpages
    - New file.
  * debian/rules
    - Clean up and remove unused targets.
    - Use hardened build flags. See:
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 21 Mar 2012 05:17:51 -0400

=== debian/control ===
Source: wmitime
Section: x11
Priority: optional
Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, libxpm-dev
Standards-Version: 3.9.5
Homepage: http://windowmaker.org/dockapps/?name=wmitime
Vcs-Browser: https://github.com/d-torrance/wmitime
Vcs-Git: https://github.com/d-torrance/wmitime.git

Package: wmitime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: wmaker
Description: clock dock app showing time and internet time
 WMitime is clock dock app, which shows standard time,
 date. The unique feature is that it can also show Internet time
 with notation @TIME. See <http://www.swatch.com/> for more about
 Internet time.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory=wmitime

override_dh_auto_build:
	dh_auto_build -- FLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"

## wmitime 0.4

=== Makefile ===
LIBS   = -lXpm -lXext -lX11 -lm
CFLAGS = -O2 -Wall
OBJS = wmitime.o wmgeneral/wmgeneral.o
INSTALL = install
PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man/man1
DESKTOPDIR = $(PREFIX)/share/applications

.c.o:
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $< -o $*.o

wmitime: $(OBJS)
	$(CC) $(LDFLAGS) -o wmitime $^ $(LIBS)

all:: wmtime

clean::
	for i in $(OBJS) ; do \
		rm -f $$i ; \
	done
	rm -f wmitime wmitime.desktop
	rm -f *~

wmitime.desktop:
	sed "s|@BINDIR@|$(BINDIR)|" wmitime.desktop.in > $@

install:: wmitime wmitime.desktop
	$(INSTALL) -d $(DESTDIR)$(BINDIR)
	$(INSTALL) wmitime $(DESTDIR)$(BINDIR)
	$(INSTALL) -d $(DESTDIR)$(MANDIR)
	$(INSTALL) -m 644 wmitime.1 $(DESTDIR)$(MANDIR)
	$(INSTALL) -d $(DESTDIR)$(DESKTOPDIR)
	$(INSTALL) -m 644 wmitime.desktop $(DESTDIR)$(DESKTOPDIR)
	@echo "wmitime Installation finished..."

=== debian/changelog ===
wmitime (0.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 3.9.6; no changes required.
  * debian/(install|wmitime.desktop)
    - Remove files; desktop file added upstream.
  * debian/(manpages|wmitime.1)
    - Remove files; manpage added upstream.
  * debian/patches
    - Remove directory; patches applied upstream.
  * debian/rules
    - Add get-orig-source target.
    - Update override_dh_auto_build target to pass CFLAGS to new upstream
      Makefile.
    - Add override_dh_auto_install target to pass PREFIX to new upstream
      Makefile.
    - Remove --sourcedirectory=wmitime.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sun, 28 Dec 2014 08:15:10 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
 Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, libxpm-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://windowmaker.org/dockapps/?name=wmitime
 Vcs-Browser: https://github.com/d-torrance/wmitime
 Vcs-Git: https://github.com/d-torrance/wmitime.git

## wmitime 0.5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-LIBS   = -lXpm -lXext -lX11 -lm
+LIBS   = -lXpm -lXext -lX11 -lm -ldockapp
 CFLAGS = -O2 -Wall
-OBJS = wmitime.o wmgeneral/wmgeneral.o
+OBJS = wmitime.o
 INSTALL = install
 PREFIX = /usr/local
 BINDIR = $(PREFIX)/bin

=== debian/changelog ===
wmitime (0.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 20:21:30 +0800

wmitime (0.5-2) unstable; urgency=medium

  * debian/menu
    - Remove file since desktop file also exists.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 22 Oct 2015 05:33:35 -0400

wmitime (0.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.
    - Add libdockapp-dev to Build-Depends.
    - Tidy up using wrap-and-sort.
  * debian/copyright
    - Update email address.

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 21 Aug 2015 21:46:05 -0400

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(shell dpkg-buildflags --get CFLAGS)"

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

get-orig-source:
	uscan --verbose --force-download --no-symlink
	@if test -e ../wmitime-*.download ; then \
		rename -f -v "s/wmitime-(.+)\.download/wmitime_\1\.orig\.tar\.gz/" \
			../wmitime-*.download; \
	fi

=== debian/watch ===
version=3
http://www.windowmaker.org/dockapps/?name=wmitime \?download=wmitime-(.+).tar.gz
